List
curl --request GET \
--url https://{defaultHost}/v1/bulk_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/bulk_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/bulk_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/bulk_actions"
},
"data": [
{
"id": "3cfb6e49-71b6-4f20-b5fb-2233b9fc353c",
"object": "bulk_action",
"action_type": "delete_products",
"record_ids": [
"95d564ba-4e96-4c24-a602-cc3ec38fde2b",
"b1754685-ea82-4ea1-9ba1-f7dd46c4b23a",
"0d3dcbce-d58e-4067-b0bf-a51fd260f3da",
"528f796a-9fa6-493a-88a1-81ca020c381c",
"bfe97dd7-a5a6-4c2e-b3ff-99eb18e7c903"
],
"skipped_record_ids": [],
"status": "pending",
"created_at": 1782485806,
"updated_at": 1782485806
}
]
}Bulk Actions
List
Returns a list of your bulk actions.
GET
/
v1
/
bulk_actions
List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Only return objects with the given IDs.
A limit on the number of items to be returned, between 1 and 100.
The page of items you want returned.
Was this page helpful?
⌘I